Open CASCADE Technology: Geom2dGcc_FunctionTanCuPnt Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2dGcc_FunctionTanCuPnt Class Reference

This abstract class describes a Function of 1 Variable used to find a line tangent to a curve and passing through a point. More...

`#include <Geom2dGcc_FunctionTanCuPnt.hxx>`

Inheritance diagram for Geom2dGcc_FunctionTanCuPnt:
[legend]

## Public Member Functions
| Geom2dGcc_FunctionTanCuPnt (const Geom2dAdaptor_Curve &C, const gp_Pnt2d &Point)
Standard_Boolean | Value (const Standard_Real X, Standard_Real &F)
| Computes the value of the function F for the variable X. It returns True if the computation is successfully done, False otherwise. More...
Standard_Boolean | Derivative (const Standard_Real X, Standard_Real &Deriv)
| Computes the derivative of the function F for the variable X. It returns True if the computation is successfully done, False otherwise. More...
Standard_Boolean | Values (const Standard_Real X, Standard_Real &F, Standard_Real &Deriv)
| Computes the value and the derivative of the function F for the variable X. It returns True if the computation is successfully done, False otherwise. More...
Public Member Functions inherited from math_FunctionWithDerivative
virtual void | Delete ()
virtual | ~math_FunctionWithDerivative ()
Public Member Functions inherited from math_Function
virtual Standard_Integer | GetStateNumber ()
| returns the state of the function corresponding to the latest call of any methods associated with the function. This function is called by each of the algorithms described later which defined the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...

## Detailed Description

This abstract class describes a Function of 1 Variable used to find a line tangent to a curve and passing through a point.

## Constructor & Destructor Documentation

Geom2dGcc_FunctionTanCuPnt::Geom2dGcc_FunctionTanCuPnt | ( | const Geom2dAdaptor_Curve & | C,
|  | const gp_Pnt2d & | Point
| ) |  |

## Member Function Documentation

Standard_Boolean Geom2dGcc_FunctionTanCuPnt::Derivative | ( | const Standard_Real | X,
|  | Standard_Real & | Deriv
| ) |  |
| virtual

Computes the derivative of the function F for the variable X. It returns True if the computation is successfully done, False otherwise.

Implements math_FunctionWithDerivative.

Standard_Boolean Geom2dGcc_FunctionTanCuPnt::Value | ( | const Standard_Real | X,
|  | Standard_Real & | F
| ) |  |
| virtual

Computes the value of the function F for the variable X. It returns True if the computation is successfully done, False otherwise.

Implements math_FunctionWithDerivative.

Standard_Boolean Geom2dGcc_FunctionTanCuPnt::Values | ( | const Standard_Real | X,
|  | Standard_Real & | F,
|  | Standard_Real & | Deriv
| ) |  |
| virtual

Computes the value and the derivative of the function F for the variable X. It returns True if the computation is successfully done, False otherwise.

Implements math_FunctionWithDerivative.

The documentation for this class was generated from the following file:

- Geom2dGcc_FunctionTanCuPnt.hxx